Skip to content
Honen Academy

courses

Activity detail (cards/questions/body by type).

Activity detail (cards/questions/body by type).

OpenAPI specification
POST/api/v1/courses/activity

Authentication

bearerAuth

Request

curl --globoff --request POST \
  --url 'https://honen.com/api/v1/courses/activity' \
  --header 'Authorization: Bearer <BEARER_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "activityId": "<activityId>"
}'

Replace credential and <field> placeholders with your own values. URL placeholders appear as %3Cfield%3E. Review the example values before sending your request.

Use the sample JSON body as your starting point, and enter values that match the endpoint's schema.

Request body schema or example

{
  "type": "object",
  "properties": {
    "activityId": {
      "type": "string"
    }
  },
  "required": [
    "activityId"
  ]
}

Responses

200Command result.
{
  "type": "object",
  "properties": {
    "success": {
      "type": "boolean",
      "enum": [
        true
      ]
    },
    "data": {
      "anyOf": [
        {
          "type": "object",
          "properties": {
            "kind": {
              "type": "string",
              "enum": [
                "FLASHCARDS"
              ]
            },
            "id": {
              "type": "string"
            },
            "type": {
              "type": "string"
            },
            "status": {
              "type": "string"
            },
            "topicId": {
              "type": "string"
            },
            "courseId": {
              "type": "string"
            },
            "title": {
              "type": "string",
              "nullable": true
            },
            "cards": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "term": {
                    "type": "string"
                  },
                  "definition": {
                    "type": "string"
                  },
                  "hint": {
                    "type": "string",
                    "nullable": true
                  }
                },
                "required": [
                  "term",
                  "definition",
                  "hint"
                ]
              }
            },
            "editUrl": {
              "type": "string",
              "nullable": true
            }
          },
          "required": [
            "kind",
            "id",
            "type",
            "status",
            "topicId",
            "courseId",
            "title",
            "cards",
            "editUrl"
          ]
        },
        {
          "type": "object",
          "properties": {
            "kind": {
              "type": "string",
              "enum": [
                "QUIZ"
              ]
            },
            "id": {
              "type": "string"
            },
            "type": {
              "type": "string"
            },
            "status": {
              "type": "string"
            },
            "topicId": {
              "type": "string"
            },
            "courseId": {
              "type": "string"
            },
            "title": {
              "type": "string",
              "nullable": true
            },
            "description": {
              "type": "string",
              "nullable": true
            },
            "questions": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "prompt": {
                    "type": "string"
                  },
                  "options": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    }
                  },
                  "correctAnswerIndex": {
                    "type": "number",
                    "nullable": true
                  },
                  "explanation": {
                    "type": "string",
                    "nullable": true
                  }
                },
                "required": [
                  "prompt",
                  "options",
                  "correctAnswerIndex",
                  "explanation"
                ]
              }
            },
            "editUrl": {
              "type": "string",
              "nullable": true
            }
          },
          "required": [
            "kind",
            "id",
            "type",
            "status",
            "topicId",
            "courseId",
            "title",
            "description",
            "questions",
            "editUrl"
          ]
        },
        {
          "type": "object",
          "properties": {
            "kind": {
              "type": "string",
              "enum": [
                "READ"
              ]
            },
            "id": {
              "type": "string"
            },
            "type": {
              "type": "string"
            },
            "status": {
              "type": "string"
            },
            "topicId": {
              "type": "string"
            },
            "courseId": {
              "type": "string"
            },
            "title": {
              "type": "string",
              "nullable": true
            },
            "contentKey": {
              "type": "string",
              "nullable": true
            },
            "body": {
              "type": "string",
              "nullable": true
            },
            "images": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "url": {
                    "type": "string"
                  },
                  "alt": {
                    "type": "string"
                  }
                },
                "required": [
                  "url",
                  "alt"
                ]
              }
            },
            "url": {
              "type": "string"
            },
            "bodyTruncated": {
              "type": "boolean",
              "enum": [
                false,
                true
              ]
            },
            "bodyError": {
              "type": "string",
              "nullable": true
            },
            "editUrl": {
              "type": "string",
              "nullable": true
            }
          },
          "required": [
            "kind",
            "id",
            "type",
            "status",
            "topicId",
            "courseId",
            "title",
            "contentKey",
            "body",
            "images",
            "url",
            "bodyTruncated",
            "bodyError",
            "editUrl"
          ]
        },
        {
          "type": "object",
          "properties": {
            "kind": {
              "type": "string",
              "enum": [
                "OTHER"
              ]
            },
            "id": {
              "type": "string"
            },
            "type": {
              "type": "string"
            },
            "status": {
              "type": "string"
            },
            "topicId": {
              "type": "string"
            },
            "courseId": {
              "type": "string"
            },
            "title": {
              "type": "string",
              "nullable": true
            },
            "description": {
              "type": "string",
              "nullable": true
            },
            "meta": {
              "type": "object",
              "additionalProperties": {
                "description": "Arbitrary JSON value."
              },
              "nullable": true
            },
            "contentNote": {
              "type": "string"
            },
            "editUrl": {
              "type": "string",
              "nullable": true
            }
          },
          "required": [
            "kind",
            "id",
            "type",
            "status",
            "topicId",
            "courseId",
            "title",
            "description",
            "meta",
            "contentNote",
            "editUrl"
          ]
        }
      ]
    }
  },
  "required": [
    "success",
    "data"
  ]
}
400Malformed JSON request body.
{
  "type": "object",
  "properties": {
    "success": {
      "type": "boolean",
      "enum": [
        false
      ]
    },
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "resolution": {
          "type": "string"
        },
        "errors": {
          "type": "object",
          "additionalProperties": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        },
        "details": {
          "nullable": true
        }
      },
      "required": [
        "code",
        "message",
        "resolution"
      ]
    }
  },
  "required": [
    "success",
    "error"
  ]
}
401Missing or invalid Connector credentials.
{
  "type": "object",
  "properties": {
    "success": {
      "type": "boolean",
      "enum": [
        false
      ]
    },
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "resolution": {
          "type": "string"
        },
        "errors": {
          "type": "object",
          "additionalProperties": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        },
        "details": {
          "nullable": true
        }
      },
      "required": [
        "code",
        "message",
        "resolution"
      ]
    }
  },
  "required": [
    "success",
    "error"
  ]
}
403Connector policy does not permit this command.
{
  "type": "object",
  "properties": {
    "success": {
      "type": "boolean",
      "enum": [
        false
      ]
    },
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "resolution": {
          "type": "string"
        },
        "errors": {
          "type": "object",
          "additionalProperties": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        },
        "details": {
          "nullable": true
        }
      },
      "required": [
        "code",
        "message",
        "resolution"
      ]
    }
  },
  "required": [
    "success",
    "error"
  ]
}
404Unknown command.
{
  "type": "object",
  "properties": {
    "success": {
      "type": "boolean",
      "enum": [
        false
      ]
    },
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "resolution": {
          "type": "string"
        },
        "errors": {
          "type": "object",
          "additionalProperties": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        },
        "details": {
          "nullable": true
        }
      },
      "required": [
        "code",
        "message",
        "resolution"
      ]
    }
  },
  "required": [
    "success",
    "error"
  ]
}
422Input validation error.
{
  "type": "object",
  "properties": {
    "success": {
      "type": "boolean",
      "enum": [
        false
      ]
    },
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "resolution": {
          "type": "string"
        },
        "errors": {
          "type": "object",
          "additionalProperties": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        },
        "details": {
          "nullable": true
        }
      },
      "required": [
        "code",
        "message",
        "resolution"
      ]
    }
  },
  "required": [
    "success",
    "error"
  ]
}